package com.alibaba.demo.provider;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@EnableDiscoveryClient
@SpringBootApplication
public class ProviderApplication {

    @RestController
    @RefreshScope
    class SampleController {

        @Value("${server.port}")
        String serverPort;

        @RequestMapping("/user")
        public String simple() {
            System.out.println("==========================  " + System.currentTimeMillis());
            return "Hello   from [" + this.serverPort + "]!";
        }
    }

    public static void main(String[] args) {
        SpringApplication.run(ProviderApplication.class, args);
    }
}
